k3d (0.8.0.5-2) unstable; urgency=medium

  * d/control:
    - Bump Standards-Version to 3.9.8 (no changes needed)
    - VCS-Browser changed to use https
  * d/rules: drop explicit "-std=c++11" compilation flags, not needed anymore
  * d/patches:
    - Add fix-ftbfs-boost1.61.patch to fix FTBFS with Boost 1.61

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sun, 07 Aug 2016 16:06:49 +0100

k3d (0.8.0.5-1) unstable; urgency=low

  * New upstream release
  * Drop patches for fixes now handled upstream:
    - fix-ftbfs.patch

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Wed, 18 Nov 2015 14:24:43 +0000

k3d (0.8.0.4-1) unstable; urgency=low

  * New upstream release
  * Drop patches backported from upstream:
    - fix-ftbfs-boost-1.58.patch
    - 34066a41baa5d1e8b7c4288e678b2894a5013466.patch
  * d/rules: add -std=c++11, needed by newer sigc++ and glibmm
  * d/patches:
    - Add fix-ftbfs.patch, to fix a minor recent compilation problem
      (conversion of boost::shared_ptr to bool in return)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sun, 01 Nov 2015 01:05:02 +0000

k3d (0.8.0.3-8) unstable; urgency=medium

  * debian/control: Sort items in build-depends
  * Patches to fix FTBFS with boost-1.58 (Closes: #795814)
    - fix-ftbfs-boost-1.58.patch, header file from Boost Math moved away,
      see upstream release notes of version 1.56
    - 34066a41baa5d1e8b7c4288e678b2894a5013466.patch, ported from upstream
      to fix another problem with Boost version 1.56

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Wed, 23 Sep 2015 22:44:39 +0100

k3d (0.8.0.3-7) unstable; urgency=medium

  * Bump Standards-Version to 3.9.6 (no changes needed)
  * Fix lintian error: "build-depends: python-support => use dh_python2
    instead"

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Mon, 29 Sep 2014 23:05:45 +0100

k3d (0.8.0.3-6) unstable; urgency=medium

  * Move everything from Build-Depends-Indep back to Build-Depends
    (remaining: doxygen, graphviz, librsvg2-bin), since it continues
    failing to build in buildds (uses commands or files provided by these
    packages, apparently unconditionally, and without declaring them).

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sun, 02 Mar 2014 10:28:52 +0000

k3d (0.8.0.3-5) unstable; urgency=medium

  * Move asciidoc, docbook-xml, docbook-xsl and xsltproc from
    Build-Depends-Indep to Build-Depends, otherwise it fails to build in
    buildds and there is no easy way to disable/disentangle

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sun, 02 Mar 2014 01:33:51 +0000

k3d (0.8.0.3-4) unstable; urgency=medium

  * Bump Standards-Version to 3.9.5 (no changes needed)
  * Changes in Build-Depends:
    - Remove libsuperlu3-dev, not directly used now (Closes: #740428)
    - Remove librsvg2-dev (only -bin seems to be necessary, now in Indep)
    - Build-Depends-Indep to try to speed up builds, specially in less
      powerful machines: asciidoc, docbook-xml, docbook-xsl, doxygen
      (added), graphviz, librsvg2-bin (added, only -dev before), xsltproc
  * Move manpage to k3d-data package

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sat, 01 Mar 2014 19:42:02 +0000

k3d (0.8.0.3-3) unstable; urgency=low

  * Upload again to rebuild against newer versions of libraries, in particular
    Boost
  * Small updates for lintian issues

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sat, 07 Sep 2013 19:56:51 +0100

k3d (0.8.0.3-2) unstable; urgency=low

  * Setting a special $HOME in debian/rules, necessary to build the guide
  * Moving guide to /usr/share/doc, keeping a symbolic link to be accessible
    from the GUI

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Tue, 23 Jul 2013 19:13:15 +0100

k3d (0.8.0.3-1) unstable; urgency=low

  * New upstream version
  * Disable patches (incorporated upstream):
    - bug_554930-ftbfs-gold.patch
    - disable_mutable_in_boost_gil.patch
    - k3d_gtkmm224.patch
    - ftbfs-gcc47.patch
  * Removed k3d.desktop (incorporated upstream)
  * Add build dependency on libftgl-dev, libglew-dev and libglewmx-dev, now that
    upstream added support for these external libraries instead of using bundled
    copies
  * Add asciidoc, xsltproc and libxml2-utils to build-depends to build
    documentation, and docbook-xml and -xsl to avoid fetching files from network
    at building time

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Tue, 23 Jul 2013 13:02:43 +0100

k3d (0.8.0.2-20) unstable; urgency=low

  * Disable cgal dependency on armel (Closes: #713069), thanks Adam D. Barratt
    for reporting and Joachim Reichel for support.

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Wed, 26 Jun 2013 18:21:42 +0100

k3d (0.8.0.2-19) unstable; urgency=low

  * Enable CGAL module by build-depending on libcgal-dev (>= 4.0), now in main
    (it was in non-free before)
  * debian/control:
    - Bump Standards-Version to 3.9.4 (no changes needed)
    - Remove "DM-Upload-Allowed: yes" (obsolete field now)
    - Replace Maintainer address, not active for many years
    - Add Vcs-* fields

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Mon, 01 Apr 2013 00:39:27 +0100

k3d (0.8.0.2-18) unstable; urgency=low

  * Build-Depend on libtiff-dev after all, since it seems that using
    libtiff5-dev in wheezy is discouraged, and the build-depends were causing
    loops in buildds when trying to resolve dependencies (Closes: #676786).
    Thanks Aurelien Jarno and Julien Cristau for the report and the advice.

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Sun, 10 Jun 2012 16:40:49 +0100

k3d (0.8.0.2-17) unstable; urgency=low

  * Fix dependency on ttf-bitstream-vera, the data package was symlinking to
    files contained in it without depending on it
  * Build-depend on (libtiff5-dev | libtiff4-dev) (instead of only version 4)
  * Move lintian override no-upstream-changelog from source to binary packages,
    it doesn't belong in sources

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Fri, 08 Jun 2012 16:08:20 +0100

k3d (0.8.0.2-16) unstable; urgency=low

  * Bump Policy Standards-Version to 3.9.3 (no changes needed)
  * Update Build-Depends debhelper to >=9~ instead of 8.9.0~ (quells lintian
    warning package-needs-versioned-debhelper-build-depends)
  * Move lintian override no-upstream-changelog from k3d binary package to
    source
  * Add patch ftbfs-gcc47.patch to fix a FTBFS with GCC-4.7 (Closes: #672627)

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Tue, 05 Jun 2012 12:12:53 +0100

k3d (0.8.0.2-15) unstable; urgency=low

  * Switch to debhelper compat level v9
  * Enable some extra compiling options and hardening flags

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Wed, 21 Dec 2011 13:55:24 +0000

k3d (0.8.0.2-14) unstable; urgency=low

  * Not modifying CXXFLAGS or anything related with DEB_BUILD_OPTIONS, removing
    from 'rules'

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Mon, 14 Nov 2011 20:14:05 +0000

k3d (0.8.0.2-13) unstable; urgency=low

  * Fix FTBFS when providing more than one element in CXXFLAGS
    (Closes: #646274), thanks Julian Taylor for reporting
  * Removed Vcs-Hg and Vcs-Browser in "control" file, they point to
    upstream and not the Debian packaging
  * Quell lintian:
    - desktop-entry-contains-encoding-key: Removed Encoding line from
      k3d.desktop, it's unnecessary/deprecated
    - unneeded-build-dep-on-quilt: Removed Build-Depends on quilt
    - no-upstream-changelog: Upstream doesn't provide any, override
      lintian warning
    - no-symbols-control-file: the dynamic objects in this package are
      not used as a shared library, but as internal program
      addons/plugins, they don't need versioning, override lintian
      warning

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Sat, 22 Oct 2011 23:03:35 +0100

k3d (0.8.0.2-12) unstable; urgency=low

  * Remove from debian/rules the special handling of "CXXFLAGS +=
  -ffunction-sections -mlong-calls" for HPPA architecture, for several reasons:
  it never really worked, HPPA is in debian-ports now (so lesser importance),
  k3d is not a suitable package for HPPA machines anyway (it's for modern
  desktops), and it hasn't been installable for a while (due to important
  missing dependencies, such as cmake).

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Mon, 22 Aug 2011 16:06:07 +0100

k3d (0.8.0.2-11) unstable; urgency=low

  * Remove "Build-Depends libinotifytools-dev [linux-any]", it's not needed
    really -- only <sys/inotify.h> is needed
  * Modify debian/rules to include "/usr/include/MULTIARCH_DIR" when searching
    for inotify, otherwise the simple method to search for the availability of
    the library does not work.

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Sun, 21 Aug 2011 13:38:58 +0100

k3d (0.8.0.2-10) unstable; urgency=low

  * Using "Build-Depends libinotifytools-dev [linux-any]", instead of excluding
    "hurd-*" and "kfreebsd-*" architectures.  This was already tried in
    0.8.0.2-4, but at the time the automatic build infrastructure didn't support
    it.  (Closes: #634665).

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Sat, 20 Aug 2011 12:23:42 +0200

k3d (0.8.0.2-9) unstable; urgency=low

  * Add '--remove-section=.note' when stripping *.module files
  * Changed debhelper compat to level 8 (level 7 before), no changes needed
  * Build-Depends on libjpeg-dev instead of libjpeg62-dev
  * Overriding lintian errors of embedded libraries while waiting for a reply
    from upstream, it's not straightforward to unravel:
    - 'embedded-library usr/lib/libk3dsdk-ftgl.so.1: ftgl'
    - 'embedded-library usr/lib/libk3dsdk-glew.so.1: glew'

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Sun, 10 Jul 2011 01:09:00 +0200

k3d (0.8.0.2-8) unstable; urgency=low

  * Rebuild for imagemagick4 transition (Closes: #625576)
  * Bump Standards-Version to 3.9.2 (no changes needed)
  * Simplifying a lot debian/rules file by leveraging debhelper capabilities,
    only acting when deviating from auto behaviour

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Sat, 28 May 2011 03:21:18 +0200

k3d (0.8.0.2-7) unstable; urgency=low

  * Remove build dependency on libopencascade-dev, since the opencascade module
    uses k3d::gprim_factory which has been removed, and thus it's not enabled at
    build time anyway (Closes: #616668).  Thanks Denis Barbier for the heads-up.
  * Seems to build fine on GCC-4.5 (Closes: #565008), default compiler on
    unstable at this time (on most architectures, anyway).  The problem was most
    likely occuring in libsigc++-2.0 for some reason, and has been fixed since
    then.

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Wed, 13 Apr 2011 15:55:55 +0200

k3d (0.8.0.2-6) unstable; urgency=low

  * Adding .desktop file so it appears in menus

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Fri, 07 Jan 2011 16:32:26 +0100

k3d (0.8.0.2-5) unstable; urgency=low

  * Using "dh_shlibdeps -a -- debian/k3d/usr/lib/k3d/plugins/*.module" to have
    shared lib dependencies right, so the module TimeSource (and others) do not
    fail to load when the program starts (Closes: #609200).  Thanks to Paul Wise
    <pabs@d.o> for the tip.
  * Change Build-Depends to depend on Boost >= 1.42 (were ">> 1.42" before,
    which do not exist, but were pulled in somehow, maybe by other dependencies)

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Fri, 07 Jan 2011 12:31:08 +0100

k3d (0.8.0.2-4) unstable; urgency=low

  * Make libinotifytools-dev conditional with [!kfreebsd-i386 !kfreebsd-amd64
  !hurd-i386], it's not available in these architectures and [linux-any] does
  not work (Closes: #592532)

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Fri, 13 Aug 2010 00:12:37 +0200

k3d (0.8.0.2-3) unstable; urgency=low

  * Bump Standards-Version to 3.9.1 (no changes needed)
  * Use Breaks and Replaces to allow for smooth upgrades without errors,
    caused by files from one package overriding others (Closes: #588604)
  * Change the package to priority "extra", optional is for "all the
    software that you might reasonably want to install if you didn't
    know what it was and don't have specialized requirements".  This is
    not the case, and additionally debcheck reports that it depends on
    software with "extra" priority (libxcb-render-util0), which should
    not happen.
  * Use -mlong-calls in addition to -ffunction-sections in HPPA,
    hopefully this time it will work fine (Closes: #588923)
  * Quell lintian:
    - quilt-patch-missing-description (bug_554930-ftbfs-gold.patch)
    - duplicate-short-description (k3d k3d-data)

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Thu, 12 Aug 2010 13:32:42 +0200

k3d (0.8.0.2-2) unstable; urgency=low

  * Put myself in the Uploaders field, add DM-Upload-Allowed: yes
  * Added patch for FTBFS with binutils-gold (Closes: #554930)
  * Use Breaks instead of Conflicts (lintian: conflicts-with-version)
  * Create k3d-data binary package (lintian: arch-dep-package-has-big-usr-share)
  * Added --remove-section=.comment when stripping by hand (lintian:
    binary-has-unneeded-section)
  * Use special "CXXFLAGS += -ffunction-sections" on hppa architecture,
    otherwise the build fails at 17% (let's hope there're no more errors...).

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Wed, 07 Jul 2010 02:08:31 +0200

k3d (0.8.0.2-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream release (Closes: #581590).
    - Probably fixed the important bug during the 3 years since last
      release (Closes: #443684).
  * Updated man pages with 'help2man -N --no-discard-stderr"
  * Changed debhelper compat to level 7
  * Added 'watch' file
  * Added 'source/format', with '3.0 (quilt)'
  * Bump Standards-Version to 3.9.0
  * Quelling lintian warnings:
    - out-of-date-standards-version 3.8.0
    - package-uses-deprecated-debhelper-compat-version 4
    - patch-system-but-no-source-readme (now format 3.0 quilt)
    - copyright-refers-to-versionless-license-file (now pointing to GPL-2)
    - debhelper-but-no-misc-depends (added)
    - binary-without-manpage (added manpages)
    - duplicate-font-file (depend on ttf-bitstream-vera and symlink)
  * Dropped all patches:
    * applied upstream:
      - 03_desktop_file_compliant.patch
      - 08_sigc++_headers.patch
    * uses CMake instead of autotools, not applicable anymore:
      - 01_imagemagick_paths.patch
      - 02_boost-mt_libs.patch
      - 04_config.guess-sub_update.patch
    * new upstream doesn't need them:
      - 05_gcc4.3_build.patch
      - 07_gcc4.4_build.patch
    * file doesn't exist anymore:
      - 06_bashisms.patch

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Wed, 30 Jun 2010 16:51:25 +0200

k3d (0.6.7.0-2.6) unstable; urgency=low

  * Non-maintainer upload.
  * Apply patch to fix FTBFS due to missing headers. (Closes: #571021)
    Thanks to Ilya Barygin <barygin@gmail.com> for the patch.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sun, 21 Mar 2010 12:15:43 +0100

k3d (0.6.7.0-2.5) unstable; urgency=low

  * Non-maintainer upload.
  * New patch 07_gcc4.4_build to fix FTBFS against gcc 4.4; patch from
    Ubuntu. (Closes: #545235, #560502)

 -- Stefano Zacchiroli <zack@debian.org>  Sat, 02 Jan 2010 14:36:51 +0100

k3d (0.6.7.0-2.4) unstable; urgency=low

  * Non-maintainer upload.
  * Extend debian/patches/05_gcc4.3_build.patch with more include fixes
    from Petr Salinger. (closes: #492858)

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 05 Sep 2008 13:09:16 +0200

k3d (0.6.7.0-2.3) unstable; urgency=low

  * Non-maintainer upload.
  * Fixed another bashism, closes: #486037
  * Upgraded menu file to new structure.
  * Bumped Standards-Version to 3.8.0.

 -- Michael Meskes <meskes@debian.org>  Sun, 22 Jun 2008 13:18:01 +0200

k3d (0.6.7.0-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Applied patch to remove bashisms, closes: #464997
  * Changed compiler from g++-4.1 to g++, closes: #463299
  * Bumped standard to 3.7.3.

 -- Michael Meskes <meskes@debian.org>  Mon, 14 Apr 2008 08:20:08 +0000

k3d (0.6.7.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Extend debian/patches/05_gcc4.3_build.patch with more include fixes from
    Anibal Avelar. (Closes: #455678)

 -- Adeodato Simó <dato@net.com.org.es>  Wed,  2 Apr 2008 13:57:28 +0200

k3d (0.6.7.0-2) unstable; urgency=low

  * debian/rules: Argh.  In my narrow-mindedness for avoiding rebuilding of
    Makefiles, I forgot to protect the touch config.status Makefile with a
    [ ! -f Makefile ], so the make distclean ended with error.  Closes:
    #434118.

 -- David Martínez Moreno <ender@debian.org>  Sat, 21 Jul 2007 20:07:55 +0200

k3d (0.6.7.0-1) unstable; urgency=low

  * This package is dedicated to the countless Ubuntu developers that do not
    report any bug back to Debian.  Thanks, you make life less pleasant.
  * New upstream release:
    - First iteration of the new animation output dialog.
    - Replaced boost::filesystem::path with k3d::filesystem::path.
    - Created k3d::ustring for working with UTF-8 text.
    - Replaced k3d::frames with k3d::file_range.
    - Removed obsolete POV render engine plugin.
    - Remove unused code.
    - NGUI Log Window includes timestamps.
    - Better scrolling for the NGUI console control.
  * debian/control:
    - Removed libboost-filesystem-dev from Build-Depends.
    - Replaced old ${Source-Version} with ${binary:Version}.
    - Finally moved local patches to quilt, so we Build-Depend on it.
  * debian/rules:
    - Fixed stupidly compressed tutorial (share/tutorials/gts_boolean.py)
      without proper extension, thus dropping a warning in the installation.
    - Fixed a lintian error about ignoring errors in distclean target.
  * debian/patches/02_boost-mt_libs.patch: Patched configure to point to
    -lboost_*-mt instead of lboost_*.  Closes: #425893.
  * debian/patches/05_gcc4.3_build.patch: Added a fix for GCC 4.3 builds.
    Thanks, Martin Michlmayr (closes: #417284).
  * Removed debian/pycompat.

 -- David Martínez Moreno <ender@debian.org>  Thu, 19 Jul 2007 00:57:51 +0200

k3d (0.6.6.0.ds1-1) unstable; urgency=low

  * New upstream release.

 -- David Martínez Moreno <ender@debian.org>  Tue,  9 Jan 2007 03:25:40 +0100

k3d (0.6.5.0.ds1-1) unstable; urgency=low

  * New upstream release.  List of main changes follows:
    - FrozenMesh, K3DMeshInput, and OBJMeshInput plugins have a "reset" button
      in the Node Properties Panel that forces an update.
    - Directed graph loop-detection code didn't work in all cases.
    - Python tutorials weren't getting installed.
    - Revert inadvertent change to the code::blocks build
    - Synchronize code::blocks build.
    - The switch to shared mesh instance archives broke automatic RenderMan
      shader compilation.
    - File > Revert command didn't update the UI layer correctly.
    - Merged fix from Debian for compile error in
      modules/quadrilateral_remeshing/quadrilateral_remeshing.cpp.
  * Pulled patch from Ubuntu packages in order to use .desktop file provided
    in the package and modified to make it standards-compliant.  Thanks,
    Adri2000.
  * debian/rules: Added --list-missing to dh_install.  Let's see if I am
    missing any other thing.

 -- David Martínez Moreno <ender@debian.org>  Wed,  3 Jan 2007 04:03:04 +0100

k3d (0.6.4.0.ds1-1) unstable; urgency=low

  * New upstream release.  Main changes are:
    - Reduce output RIB file size.
    - Enabled mnemonic labels for most menu items and the Safe Close Dialog.
    - Safe Close Dialog did not correctly treat the escape key as a "cancel" operation.
    - Fixed several compile-time problems.
    - Removed debugging output.
    - Enhanced installer.
    - Cleanup and organize sample documents.
    - Added control over Axes plugin colors
    - Improved copyright texts.
    - Added mesh selection support to the Python API.
    - Several other fixes.
  * Removed debian/docs that included spurious templates pointing to the
    website (closes: #401502).
  * Patched Makefile.in in order to remove config.status.lineno in the
    distclean target.

 -- David Martínez Moreno <ender@debian.org>  Tue,  5 Dec 2006 20:50:50 +0100

k3d (0.6.0.0.ds1-1) unstable; urgency=low

  * New upstream release.  Final stable release.  Main changes since 0.5.12.0:
    - Enhanced tutorials, and added new ones.
    - Fixes for gcc 4.1.1 builds.
    - Code cleanup and lots of bugfixes.
    - Updated rasterization of SVG icons.
    - Remove debug output
    - Better startup messages.
    - Fix QTUI build.
  * I do not know why upstream let all the Makefiles and other cruft behind in
    the tarball, but after running a manual make distclean, the orig.tar.gz is
    1 MB smaller!  That also fixed the "X-File" problem of letting
    config.{status,log} files behind.
  * debian/control:
    - General redo of Build-Depends.  Droppped python2.3 in favour of
      python2.4 (closes: #395993).
    - Removed [!ia64] for g++-4.1 in Build-Depends.
    - Bumped Standards-Version to 3.7.2.2.
  * Removed all the patches from 0.5.12.0 except for the additional #include
    <set> in modules/quadrilateral_remeshing/quadrilateral_remeshing.cpp. This
    version builds normally with g++-4.1.1.
  * Updated config.guess and config.sub to latest versions.
  * Fixed building in order to support the new Python policy (closes: #380849):
     - debian/control: Added python-support (>= 0.3) to B-D.  Bumped
       dependency on debhelper (>= 5.0.37.2).
     - Added an 'XB-Python-Version: ${python:Versions}' field to k3d.
     - Added an 'XS-Python-Version: current' field to k3d.
     - debian/rules: Replaced dh_python with dh_pysupport.
     - debian/pycompat: Created with a content of '2'.

 -- David Martínez Moreno <ender@debian.org>  Sat,  2 Dec 2006 18:16:41 +0100

k3d (0.5.12.0-2) unstable; urgency=low

  * NMU. Drop explicit dependency on python2.3.

 -- Matthias Klose <doko@debian.org>  Fri, 27 Oct 2006 03:06:42 +0200

k3d (0.5.12.0-1) unstable; urgency=low

  * New upstream release (closes: #358218).
  * debian/control:
    - Updated Standards-Version to 3.7.2.1.
    - Added a build-time dependency on g++-4.1 (>=4.1.1-9) due to some
      internal g++ problem in earlier versions.
    - Update dependencies to new X.Org packages.
  * Acknowledge NMUs. Thanks, Pierre Habouzit (closes: #368246) and Martin
    Michlmayr.
  * This version shows correctly icons in the toolbar (closes: #356037).
  * Changed configure in order to try only pkg-config --libs ImageMagick++
    instead of Magick++-config --libs, thus riding of spureous dependencies.
    Closes: #347399.
  * Added a patch to modules/annotation/reference_image_2d.cpp from upstream
    CVS in order to compile with g++ 4.1.1.
  * Made the same with modules/gts/module.cpp.
  * Patched modules/quadrilateral_remeshing/quadrilateral_remeshing.cpp with
    an additional #include <set>. Thanks, Miriam Ruiz.

 -- David Martínez Moreno <ender@debian.org>  Wed, 19 Jul 2006 09:08:55 +0200

k3d (0.5.0.35-1.2) unstable; urgency=low

   * Non-maintainer upload.
   * Remove xlibmesa-glu-dev Build-Depends: libglu1-mesa-dev | libglu-dev
     (closes: #368246).

 -- Pierre Habouzit <madcoder@debian.org>  Sun, 4 Jun 2006 01:16:02 +0200

k3d (0.5.0.35-1.1) unstable; urgency=low

   * NMU as part of the GCC 4.1 transition.
   * Apply patch from Ben Hutchings to fix various GCC 4.1 issues and
     to update the build-depends (closes: #358218).

 -- Martin Michlmayr <tbm@cyrius.com>  Sun, 28 May 2006 12:10:04 +0200

k3d (0.5.0.35-1) unstable; urgency=low

  * New upstream release. A summary of changes follow:
    - Integrated SGI's GLU tesselator.
    - Changed Rotate tool's middle sphere for a torus handle, Rotate tool is
      now complete except that it only works in GLOBAL mode.
    - Filters are now called modifiers.
    - Scripts run from the NGUI can be interrupted with the Escape key.
    - Restored visible selection for mesh modifiers.
    - Added Python support for point groups and scripting sample.
    - Added plugin module proxies to improve startup time (currently
      disabled).
    - Created ShowMatrix plugin
    - Cosmetic fixes.
    - Several fixes.
  * Uploaded to unstable, now that the C++ transition seems to be almost over.

 -- David Martínez Moreno <ender@debian.org>  Mon, 12 Dec 2005 01:14:51 +0100

k3d (0.5.0.34-0pre3) experimental; urgency=low

  * Rebuild with current sid.

 -- David Martínez Moreno <ender@debian.org>  Tue,  6 Dec 2005 13:39:00 +0100

k3d (0.5.0.34-0pre2) experimental; urgency=low

  * Added python to Build-Depends. Thanks, Martin Zobel-Helas (closes:
    #341936).

 -- David Martínez Moreno <ender@debian.org>  Tue,  6 Dec 2005 00:49:50 +0100

k3d (0.5.0.34-0pre1) experimental; urgency=low

  * New upstream release. A summary of changes follow:
    - Many code cleanups, reorganizations and updates, pulled out several
      deprecated plugins (including JavaScript engine).
    - New selection system using k3d::mesh_selection properties for
      undoable-selection and full integration with the Directed Graph.
    - document node collection is stored/serialized/loaded in node-creation order,
      enabling efficient/persistent node lookups by index.
    - Updated document schema to match new [nodes] terminology, with full
      backwards-compatibility.
    - Context menu is attached to the document and isn't recreated on each
      call anymore.
    - Toolbar is now a panel.
    - Updated the NGUI so the +Z axis is "up", rewrote viewport navigation.
    - TAB key jumps to the next entry in Node Properties panel.
    - Duplicate now works with objects other than MeshInstances.
    - Selected panel has a blue border.
    - bug-buddy submits reports to the SF tracker and now have a privacy
      statement.
    - NGUI selection button control displays tooltips and disables buttons based
      on selection state.
    - Tutorials are possible now using almost all the tools.
    - Added Aqsis plugins.
    - Added real sphere implementation to PolySphere and Quads Only option,
      renamed existing one to "Spherical Cylinder".
    - Set default colors to most of RenderMan shaders.
    - shader parser now supports point, vector, normal and angle types
      properly.
  * Removed /usr/share/k3d/shaders/layered from debian/k3d.dirs, as it is now
    included upstream.
  * I do not fully understand why k3d is not using PNG icons. In the
    meanwhile, added a hardcoded runtime dependency on librsvg2-2 in order to
    use the scalable icons.
  * Patched modules/quadrilateral_remeshing/quadrilateral_remeshing.cpp in
    order to support new k3dsdk.

 -- David Martínez Moreno <ender@debian.org>  Sat,  3 Dec 2005 01:37:09 +0100

k3d (0.5.0.33-0pre2) experimental; urgency=low

  * Rebuild package with last changes.
  * debian/control: Added (>> 2.9.5-5) to librsvg2-bin dependency, as all the
    previous versions did not include my patch to librsvg-bin, thus breaking
    rsvg->png conversion.
  * Added /usr/share/k3d/shaders/layered to debian/k3d.dirs to workaround a
    startup error.

 -- David Martínez Moreno <ender@debian.org>  Mon, 28 Nov 2005 15:45:05 +0100

k3d (0.5.0.33-0pre1) experimental; urgency=low

  * 0.6 prerelease:
    - Lots of bug fixes!
    - Lots of enhancements!
    - Lots of code!
    - Lots of new funcionalities!
    - Lots of new bugs!
  * This package is now compiled against a current unstable (closes: #331104).
  * I understand that this bug came in when gcc 4.0 was used to build this
    package. This new release does not have this problem (closes: #320904).
  * New release does not have javascript at all. It was dropped in favour of
    Python (closes: #326876).
  * Stripped down boost/ from the tarball, as we are going to use external
    boost libraries.
  * New package will be compiled with gcc 4.0 on amd64, and boost libraries
    are not now included (see above), thus not having this problem (closes:
    #278966).
  * Activated again graphviz in the configure line, as it is out of non-free
    now.
  * debian/control:
    - Build-Depends now reflect the current unstable environment.
    - Added libgtkmm-2.4-dev to dependencies.
    - Added gettext.
    - Removed automake1.6 (closes: #335125).
    - Build-Depend on librsvg2-bin > 2.9.5-5 as it was broken for relative
      paths as used in share/ngui/rasterized/Makefile.
    - k3d-doc package has gone, as the documentation is now the wiki.
  * Added full Python support to debian/control, dh_python to debian/rules,
    and ${python:Depends} to the Depends line.
  * Fixed some whitespace in djpig's NMU entry, confusing lintian.
  * debian/copyright: Changed FSF address.

 -- David Martínez Moreno <ender@debian.org>  Mon, 14 Nov 2005 04:37:54 +0100

k3d (0.5.0.22-1) experimental; urgency=low

  * Started to package 0.5.x branch. Lots (and when I say lots, is LOTS) of
    new features, new GUI, new plugins, new functions...I love new branches.
    :-)
  * debian/control: Added a lot of new build dependencies. The new
    versions had a lot of exciting things, like Python scripting,

 -- David Martínez Moreno <ender@debian.org>  Wed, 25 May 2005 20:50:16 +0200

k3d (0.4.5.0-5) unstable; urgency=low

  * AAAAAAAARGH, *patching* configure.ac broke again the build process! Fixed
    (I hope).
  * Removed more cruft of shaderpreprocessor/ from configure.

 -- David Martínez Moreno <ender@debian.org>  Thu, 28 Apr 2005 18:38:10 +0200

k3d (0.4.5.0-4) unstable; urgency=low

  * Damn. I did not remember why I had automake1.6 in Build-Depends...missing,
    install-sh, and all that scripting stuff is symlinked to the original
    files included in automake1.6. For less headaches, I will include it in
    the Build-Depends for now.

 -- David Martínez Moreno <ender@debian.org>  Thu, 28 Apr 2005 12:05:58 +0200

k3d (0.4.5.0-3) unstable; urgency=low

  * modules/mesh/Makefile.{am,in}: SuperLU v3.0 slipped into the 0.4.5.0
    release, and installed libcblas.so files. Disabled superlu build and
    Build-Depend on libsuperlu3-dev (closes: #295663, #298239).
  * sdpgtk/Makefile.in: Added -I/usr/X11R6/include for trying to solve the
    FTBFS error in almost all the architectures.
  * docs/user_reference/root.xml: Fixed location for the DTD (removed
    "file:").
  * debian/control: Removed automake1.6 dependency for build.

 -- David Martínez Moreno <ender@debian.org>  Wed, 27 Apr 2005 15:57:48 +0200

k3d (0.4.5.0-2) unstable; urgency=low

  * It seems that my build dependencies no longer depend on libx11-dev, so
    Build-Depend on it.

 -- David Martínez Moreno <ender@debian.org>  Wed, 16 Feb 2005 10:37:18 +0100

k3d (0.4.5.0-1) unstable; urgency=low

  * New upstream release.
    - Subdivision surfaces.
    - Resurrected SubdivideFaces.
    - Added LinkPoints, JoinPoints, MergeFaces, FaceNormals,
      SelectedPointNumber and SelectPointByNumber tools.
    - NSIS installer for the Win32 platform.
    - g++ 3.4 fixes.
    - Merged JavaScript large patch from Debian package, updating version to
      1.5-rc6a, making k3d portable to MacOS X and 64-bit platforms.
    - ** Quadrilateral Remeshing version 1.0 **
    - Many other things.
  * debian/control:
    - Bumped to 3.6.1.1 Standards-Version.
    - Added automake1.6 to Build-Depends because of the install-sh and the
      like stuff.
  * Added an specific part for copyright and license in debian/copyright.

 -- David Martínez Moreno <ender@debian.org>  Tue, 15 Feb 2005 18:27:16 +0100

k3d (0.4.3.0-3) unstable; urgency=low

  * _Really_ apply patch from #274172 (closes: #274172). Sorry. :-(

 -- David Martínez Moreno <ender@debian.org>  Wed,  6 Oct 2004 00:49:35 +0200

k3d (0.4.3.0-2) unstable; urgency=high

  * Rebuild with non-broken imagemagick. Many thanks, Frank Lichtenheld and
    Steve Langasek (closes: #272628).
  * Fixed FTBFS in amd64 by Andreas Jochens, and additionally, fixed FTBFS in
    s390 and powerpc as well (closes: #274172).

 -- David Martínez Moreno <ender@debian.org>  Mon,  4 Oct 2004 13:10:38 +0200

k3d (0.4.3.0-1.1) unstable; urgency=high

  * NMU.
  * Rebuild with non-broken imagemagick.

 -- Frank Lichtenheld <djpig@debian.org>  Sat,  2 Oct 2004 01:20:35 +0200

k3d (0.4.2.0-2) unstable; urgency=medium

  * Medium urgency upload to facilitate the libtiff transition.
  * debian/rules:
    - Added dh_compress and dh_fixperms to build-indep target (fixes lintian
      warnings).
  * debian/control:
    - Rebuild against libtiff4 (closes: #262810).
  * Applied large patch to js plugin from the SpiderMonkey implementation in
    order to solve the FTBFS in powerpc (or at least try to).

 -- David Martínez Moreno <ender@debian.org>  Mon,  9 Aug 2004 11:25:48 +0200

k3d (0.4.2.0-1) unstable; urgency=low

  * New upstream release. Highlights of it are:
    - QSlim decimation.
    - Basic POV engine.
    - PolyCube now has adjustable rows, columns and slices.
    - Several stability fixes.
    - Merged bash patch for k3d-uuidgen.
  * debian/control:
    - Bumped Build-Depends on libsigc++ from 1.0 to 2.0.
    - Really include xlibmesa-gl_u_-dev, not only gl-dev, in Build-Depends.
      All is FTBFS in the buildd's :-(.
  * Added Debian changelog to k3d-doc.
  * Removed all the CVS stuff included in the original tarball (gah!).

 -- David Martínez Moreno <ender@debian.org>  Thu, 22 Jul 2004 11:50:11 +0200

k3d (0.4.1.0-1) unstable; urgency=low

  * New upstream release. The features of this release are:
    - Support for polygon colors and vertex normals.
    - LSystem parser and mutator plugin with lots of sample files.
    - Sphere eversion plugin.
    - Basic Yafray importer.
    - FilterFacesByColor plugin.
    - Added vertex normals to blobby polygonizations.
    - Added RiPolygon support to RIB importer.
    - Usability fix: DAG control doesn't scroll back to the top every time.
      something in the document changes.
    - Several bug fixes.
    - All the Debian patches were pushed upstream and are integrated. Now k3d
      is FHS-compliant.
  * Included specific Build-Depends for GLU. This fixes the FTBFS observed by
    Goswin on amd64 (closes: #258358).
  * Do not build gpp, and depend on Debian gpp package. Thanks to Daniel
    Skarda (closes: #259613).

 -- David Martínez Moreno <ender@debian.org>  Wed, 21 Jul 2004 18:29:52 +0200

k3d (0.4.0.0-2) unstable; urgency=low

  * debian/rules: Added --without-graphviz to configure line. This closes
    FTBFS (closes: #257363).

 -- David Martínez Moreno <ender@debian.org>  Sun,  4 Jul 2004 15:08:04 +0200

k3d (0.4.0.0-1) unstable; urgency=low

  * New upstream release (closes: #250359).
  * debian/control: Corrected dependency to libmagick++6-dev.
  * Splitted the package in k3d, k3d-dev and k3d-doc. For now k3d-dev is for
    headers and libtool files.
  * Added menu item, thanks to Brett W. McCoy.
  * Fixed inclusion of /usr/lib/k3d items, thanks to Romain and Brett.
  * Added Suggest: aqsis (a great GPL renderer). Thanks, Brett.
  * Added quotes over two fields of k3d.menu.
  * Fixed non POSIX-compliant script k3d-uuidgen.

 -- David Martínez Moreno <ender@debian.org>  Mon,  7 Jun 2004 01:42:37 +0200

k3d (0.3.9.6-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Downgraded libsigc++ dependency to 1.0 because of SF bug #939134 (Yet
      another document-close segfault).
    - The build is unstable with GTK2, so changed Build-Depends to GTK1.    
  * debian/rules:
    - Removed --with-gtk2 configure parameter.

 -- David Martínez Moreno <ender@debian.org>  Mon, 26 Apr 2004 12:36:32 +0200

k3d (0.3.9.0-1) unstable; urgency=low

  * New upstream release.

 -- David Martínez Moreno <ender@debian.org>  Wed, 31 Mar 2004 10:29:18 +0200

k3d (0.3.0.94-1) unstable; urgency=low

  * Initial release.

 -- David Martínez Moreno <ender@debian.org>  Wed, 10 Mar 2004 20:06:49 +0100
